Bug 1314676 - (CVE-2016-2858) CVE-2016-2858 Qemu: rng-random: arbitrary stack based allocation leading to corruption
CVE-2016-2858 Qemu: rng-random: arbitrary stack based allocation leading to c...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160122,reported=2...
: Security
Depends On: 1314677 1314678
Blocks: 1305286
  Show dependency treegraph
 
Reported: 2016-03-04 03:43 EST by Prasad J Pandit
Modified: 2016-05-20 19:49 EDT (History)
39 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2016-03-04 03:43:12 EST
Qemu emulator built with the Pseudo Random Number Generator(PRNG) back-end
support is vulnerable to an arbitrary stack based allocation and memory
corruption via random bytes issue. It could occur when a guest requests for
entropy for random number generation.

A user/process inside guest could use this flaw to crash the Qemu process
resulting in DoS.

Upstream patch:
---------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=60253ed1e6ec6d8e5ef2efe7bf755f475

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/03/04/1
Comment 1 Prasad J Pandit 2016-03-04 03:44:41 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1314678]
Comment 2 Prasad J Pandit 2016-03-04 03:44:59 EST
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1314677]
Comment 3 Prasad J Pandit 2016-03-04 03:48:12 EST
Statement:

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.
Comment 5 Fedora Update System 2016-03-19 17:24:23 EDT
xen-4.5.2-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-03-19 22:28:19 EDT
xen-4.5.2-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-05-15 01:26:58 EDT
qemu-2.4.1-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-05-20 19:49:12 EDT
qemu-2.3.1-14.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.